{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline">
       {% csrf_token %}
        <div class="col-xl-6 col-md-6 mb-6">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
            
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nueva {% endif %} Localidad 
                            </div>                        
                            <div class="dropdown-divider"></div>

                            <div class="col">
                                <div class="card" style="width: 28rem;">
                                    <img src="{% static 'base/img/localidades-pinos.svg' %}" class="card-img-top" alt="..." height="200px" width="200px">
                                    <div class="card-body">
                                      <h5 class="card-title text-md-center">Localidades - Pinos, Zacatecas</h5>
                                      <!-- <p class="card-text">Toby es un perro muy jugueton y fuerte. Le gusta pasear todas las mañanas
                                        y conocer nuevos amigos para convivir con ellos</p> -->
                                      <!-- <a href="#" class="btn btn-primary">Vamos...</a> -->
                                    </div>
                                </div>
                            </div>
                            
                            <!-- primer fila -->
                            <div class="row mt-3">                                
                                <div class="col text-uppercase font-weight-bold">
                                    {{ form.nombre.label }}:
                                    <div class="input-group">{{ form.nombre }}</div>
                                </div>
                            </div>

                            <!-- segunda fila -->
                            <div class="row my-2">                                
                                <!-- campo 1 -->
                                <div class="col-6 text-uppercase font-weight-light">
                                    {{ form.seccion.label }}:
                                    <div class="input-group">{{ form.seccion }}</div>
                                </div>                               

                                <!-- campo 2 -->
                                <div class="col-6 text-uppercase font-weight-bold">
                                    {{ form.tipo.label }}:
                                    <div class="input-group">{{ form.tipo }}</div>
                                </div>
                            </div>

                             <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row">
                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:localidades_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>

                                <div class="col-4">
                                    <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-block">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-arrow-left"></i>
                                        </span>
                                        <span class="text">Regresar</span>
                                    </a>
                                </div>       
                            </div>

                            {% comment %} <div class="row">
                                 <div class="col">
                                    <button type="submit" class="btn btn-danger"><span class="fa fa-save"></span>Guardar</button>
                                    <a href="{% url 'apoyos:localidades_list' %}" class="btn btn-success"><span class="fa fa-undo">Cancelar</span></a>
                                </div>
                            </div>                                 {% endcomment %}
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %} 
   
{% block js_page %} {% endblock js_page %}
    